@import "../../assets/scss/global";

.detail-feature-and-price-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;

    .btn-see-more {
        color: $secondary-color;
        padding: 12px;
        font-size: 16px;
        line-height: 24px;
        font-weight: 700;

        @include largeScreen {
            font-size: 20px;
            font-weight: 600;
            line-height: 30px;
            padding: 12px 24px;
        }
    }

    .chevron-icon {
        transition: all .2s linear;

        &.active {
            transform: rotate(180deg);
        }
    }

    .content {
        margin-top: 15px;
        display: none;
        width: 100%;
        background: transparent;
        @include largeScreen{
            box-shadow: 0 12px 20px rgba(0, 0, 0, 0.05);
        }
        font-weight: 500;
        flex-direction: column;
        gap: 10px;
        row-gap: 10px;

        @include largeScreen {
            gap: unset;
            row-gap: unset;
            border-radius: 12px;
        }

        &.active {
            // display: flex;
            display: grid;
        }

        .row-header {
            display: flex;
            background-color: $secondary-color2;
            padding: 0 25px;
            min-height: 58px;
            box-sizing: border-box;
            align-items: center;
            column-gap: 20px;
            justify-content: space-between;
            border-radius: 12px;

            &.row-sticky {
                transition: all .2s;
                position: sticky;
                z-index: 1;
                top: 97px;
                border-radius: 12px 12px 0 0;
                overflow: hidden;
                padding: 10px 25px;
            }

            &.sticky {
                border-radius: 0;
            }

            @include largeScreen {
                border-radius: initial;
            }

            &.active-row-header {
                border-bottom-right-radius: unset;
                border-bottom-left-radius: unset;
            }

            .column-header {
                font-weight: 700;
                font-size: 14px;
                line-height: 18px;

                @include largeScreen {
                    width: calc(33.3% - 10px);
                }

                //set color for items have index from 2
                &:nth-child(n+2) {
                    color: $primary-color;
                }

                p {
                    width: fit-content;
                    padding: 5px 10px;
                    border-radius: 100px;
                    font-size: 14px;
                    font-weight: 700;
                    background-color: $secondary-color;
                    color: white;
                    margin-top: 5px;

                    &.free-package {
                        background-color: #21C274;
                    }

                    span {
                        font-weight: 400;
                    }

                    &.success {
                        background-color: $success-color;
                    }
                }

                i{
                    font-style: italic;
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 24px;
                    color: $grey-color1;
                }
            }
        }

        .section {
            .sub-title-mobile {
                position: relative;
                padding: 10px 25px 10px 40px;
                background-color: #FCEEEC;
                font-size: 14px;
                line-height: 20px;
                &.developing{
                    color: #A29999;
                }

                &:after {
                    position: absolute;
                    content: "";
                    left: 30px;
                    top: 15px;
                    width: 6px;
                    height: 6px;
                    border-radius: 100%;
                    background-color: $grey-color1;
                }
            }

            .comming-soon-wrapper{
                &[margin="true"]{
                    margin-bottom: 12px;
                }
                display: flex;
                @include largeScreen{
                    margin-right: -23px;
                }
                
                .comming-soon {
                    box-sizing: border-box;
                    width: 0 !important;
                    height: 0;
                    border-bottom: 20px solid #FF6337;
                    border-top: 20px solid #FF6337;
                    border-left: 12px solid transparent;
                    box-shadow: inset 0px -1px 4px rgba(106, 42, 42, 0.25);
                    position: relative;

                    @include largeScreen{
                        border-bottom: 29px solid #FF6337;
                        border-top: 29px solid #FF6337;
                    }
                }
    
                .text{
                    position: relative;
                    font-weight: 500;
                    font-size: 12px !important;
                    line-height: 18px;
                    color: white;
                    text-align: center;
                    margin-left: -0.3px;
                    background-color: #FF6337;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 100% !important;
                    box-sizing: border-box;
                    @include largeScreen{
                        padding: 2px 10px;
                        margin-left: 0;
                        width: 100px !important;
                        font-size: 16px !important;
                        line-height: 24px;
                    }
    
                    &::after{
                        position: absolute;
                        content: "";
                        width: 2px;
                        height: 100%;
                        background-color: #FEEB41;
                        right: 0px;
                        top: 0;
    
                        @include largeScreen{
                            right: -2px;
                        }
                    }
                }
            }

            .row-content {
                display: flex;
                padding: 10px 25px;
                min-height: 58px;
                box-sizing: border-box;
                align-items: center;
                column-gap: 20px;

                &.developing {
                    @include largeScreen{
                        margin: 1px 0;
                    }
                    background-color: rgba(242, 191, 181, .2);

                    > div {
                        color: #A29999;
                    }

                    p {
                        opacity: .6;
                    }
                    
                    svg {
                        fill-opacity: 0.6
                    }

                    .column-content{
                        color: #A29999 !important;
                    }

                    i{
                        color: #A29999 !important;
                    }
                }

                &:not(:nth-last-of-type(1)) {
                    border-bottom: 1px solid #E2E5F2;
                }

                @include largeScreen {
                    &:not(:nth-last-of-type(1)) {
                        border-bottom: initial;
                    }
                }

                &[not-border-bottom="true"]{
                    border-bottom: 0;
                }

                div {
                    font-size: 12px;
                    line-height: 18px;
                    width: calc(50% - 10px);

                    &:nth-of-type(2) {
                        text-align: center;

                        @include largeScreen{
                            text-align: initial;
                        }
                    }

                    &.flex-comming-soon {
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                    }

                    @include largeScreen {
                        &:has(svg) {
                            text-align: initial;
                        }

                        width: calc(33.3% - 10px);
                        font-size: 14px;

                        &.dot {
                            width: calc(33.3% - 30px);
                            position: relative;
                            margin-left: 15px;
                            padding-right: 6px;

                            &:before {
                                position: absolute;
                                content: "";
                                left: -10px;
                                top: 6px;
                                width: 6px;
                                height: 6px;
                                border-radius: 100%;
                                background-color: $grey-color1;
                            }
                        }
                    }

                    p {
                        color: $grey-color1;
                        line-height: 16px;
                        font-size: 12px;
                        width: 100%;

                        @include largeScreen {
                            font-size: 14px;
                            width: 80%;
                        }
                    }
                }

                .column-content {
                    font-weight: 700;
                    font-size: 12px;
                    line-height: 18px;
                    color: $primary-color;
                    flex-shrink: 0;

                    &:nth-child(2) {
                        color: initial;
                        font-weight: 500;
                    }

                    p {
                        width: fit-content;
                        padding: 5px 10px;
                        border-radius: 100px;
                        font-size: 12px;
                        font-weight: 700;
                        background-color: $secondary-color;
                        color: white;
                        margin-top: 5px;

                        &.free-package {
                            background-color: #21C274;
                        }

                        span {
                            font-weight: 400;
                        }

                        &.success {
                            background-color: $success-color;
                        }
                    }

                    i{
                        font-style: italic;
                        font-weight: 400;
                        font-size: 12px;
                        line-height: 24px;
                        color: $grey-color1;
                    }
                }
            }

            @include largeScreen {
                &:last-child {
                    border-radius: 0 0 12px 12px;
                    overflow: hidden;
                }
            }
        }
    }
}